%global debug_package %{nil}

Summary:        A modern, C++-native, header-only, framework for unit-tests, TDD and BDD
Name:           catch1
Version:        1.12.2
Release:        5%{?dist}
License:        BSL-1.0
URL:            https://github.com/catchorg/Catch2
Source0:        https://github.com/catchorg/Catch2/archive/v%{version}/%{name}-%{version}.tar.gz
Patch3000:      catch1-sigstksz.patch

BuildRequires:  cmake make gcc-c++

%description
Catch, which stands for C++ Automated Test Cases in Headers, contains a multi-paradigm automated 
test framework for C++ and Objective-C (and,maybe, C). 

%package        devel
Summary:        Development files for %{name}
Provides:       %{name}-static = %{version}-%{release}

%description    devel
Catch, which stands for C++ Automated Test Cases in Headers, contains a multi-paradigm automated 
test framework for C++ and Objective-C (and,maybe, C). 


%prep
%autosetup -p 1 -n Catch2-%{version}


%build
%cmake
%cmake_build


%install
mkdir -p %{buildroot}%{_includedir}
cp -pr include  %{buildroot}%{_includedir}/catch


%check
%ctest


%files devel
%license LICENSE.txt
%doc README.md catch-logo-small.png docs
%{_includedir}/catch


%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.12.2-5
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.12.2-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.12.2-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.12.2-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Mar 10 2023 Wang Guodong <gordonwwang@tencent.com> - 1.12.2-1
- package init.
